std::ranges::enumerate_view::iterator::iterator(3)

NAME
std::ranges::enumerate_view::iterator::iterator - std::ranges::enumerate_view::iterator::iterator

Synopsis
   /*iterator*/()
       requires std::default_initializable<ranges::iterator_t<Base>> (1) (since C++23)
   = default;
   constexpr /*iterator*/( /*iterator*/<!Const> i )
       requires Const && (2) (since C++23)
           std::convertible_to<ranges::iterator_t<V>,
   ranges::iterator_t<Base>>;
   private:
   constexpr explicit /*iterator*/( ranges::iterator_t<Base> (3) (exposition
   current, only*)
                        difference_type pos);
   Construct an iterator.
   1) Default constructor. Value-initializes the underlying iterator current_ with
   ranges::iterator_t<Base>() and the underlying index pos_ with 0.
   2) Conversion from /*iterator*/<false> to /*iterator*/<true>. Initializes current_
   with std::move(i.current_) and pos_ with i.pos_.
   3) A private constructor which is used by enumerate_view::begin and
   enumerate_view::end. This constructor is not accessible to users. Initializes
   current_ with std::move(current) and pos_ with pos.

Parameters
   i - an /*iterator*/<false>

Example
    This section is incomplete
    Reason: no example

Category:
     * Todo no example